Package com.pixelmed.display

# Class DicomImageViewer.OurDatabaseMediaImporter

java.lang.Object
com.pixelmed.dicom.MediaImporter
com.pixelmed.database.DatabaseMediaImporter
com.pixelmed.display.DicomImageViewer.OurDatabaseMediaImporter

Enclosing class:
  DicomImageViewer

protected class DicomImageViewer.OurDatabaseMediaImporter extends DatabaseMediaImporter

## Nested Class Summary

## Nested classes/interfaces inherited from class com.pixelmed.dicom.MediaImporter

`MediaImporter.MediaImporterWithFileChooserDialogThread, MediaImporter.OurReadTerminationStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`canUseBzip`

### Fields inherited from class com.pixelmed.database.DatabaseMediaImporter

`databaseInformationModel, savedInstancesFolder, storedFilePathStrategy`

### Fields inherited from class com.pixelmed.dicom.MediaImporter

`logger, mediaDirectoryPath, progressBar, progressBarUpdater, terminateAfterIdentifyingGroup`

## Constructor Summary

Constructors
Constructor
Description
`OurDatabaseMediaImporter(String mediaDirectoryPath, File savedInstancesFolder, StoredFilePathStrategy storedFilePathStrategy, DatabaseInformationModel databaseInformationModel, MessageLogger logger, boolean acceptAnyTransferSyntax)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isOKToImport(String sopClassUID, String transferSyntaxUID)`
Check for valid information, and that the file is not compressed or not a suitable storage object for import.

### Methods inherited from class com.pixelmed.database.DatabaseMediaImporter

`doSomethingWithDicomFileOnMedia`

### Methods inherited from class com.pixelmed.dicom.MediaImporter

`choosePathAndImportDicomFiles, choosePathAndImportDicomFiles, doSomethingWithDicomFileOnMedia, doSomethingWithUnwantedFileOnMedia, getDirectory, importDicomFiles, logLn, main`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### canUseBzip

protected boolean canUseBzip

## Constructor Details

### OurDatabaseMediaImporter

public OurDatabaseMediaImporter(String mediaDirectoryPath, File savedInstancesFolder, StoredFilePathStrategy storedFilePathStrategy, DatabaseInformationModel databaseInformationModel, MessageLogger logger, boolean acceptAnyTransferSyntax)

## Method Details

### isOKToImport

protected boolean isOKToImport(String sopClassUID, String transferSyntaxUID)
Description copied from class: `MediaImporter`

Check for valid information, and that the file is not compressed or not a suitable storage object for import.

Overrides:
  `isOKToImport` in class `MediaImporter`
Parameters:
  `sopClassUID` - the SOP Class UID of the file
  `transferSyntaxUID` - the Transfer Syntax UID of the file
Returns:
  true if is suitable